#!/bin/bash
PORT="3002"

#DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd -P)"   #doesnt handle links!
SCRIPT=`realpath $0`
DIR=`dirname $SCRIPT`

pushd $(pwd)  >/dev/null #save startdirectory
cd "$DIR/webserver"
EXITCODE=1


echo "Starting Webserver at http://localhost:$PORT/cgi-bin/multiroom.py"

while [ $EXITCODE -gt 0 ]
do
        python3 -m http.server --cgi "$PORT"
        EXITCODE="$?"
        echo "Python exited with $EXITCODE"
        sleep 1
done


popd  >/dev/null #restore startdirectory
exit 0