#!/usr/bin/env python3
import cgi
import os
import datetime
import time

import cgitb
cgitb.enable()


sCheckfile=r"/tmp/multiroomstat"    #if this file exists multiroom is on
bChanged=False
iDebug=1  #0: kein Debug, 1: Debug ausgaben, 2: Debug ausgaben und dummy funktion


#funktion um die alten werte auszulesen. 
#ret: dictionary mit werten.
def GetForm():
    form = cgi.FieldStorage()
    if len(form) == 0:
        ret = None
    else:
        if form.getvalue("action") == "ON":
            ret = True
        else:
            ret = False
        
    return ret, form



##################################
# Webseite
##################################
###
# Header
###
print( "Content-Type: text/html")     # HTML is following
print()                               # blank line, end of headers
if os.path.exists(sCheckfile):
    print("<TITLE>Multiroom ON</TITLE>") 
else:
    print("<TITLE>Multiroom OFF</TITLE>")    
print("<html>")


###
# Switch Stylesheet based on Useragent
###
if os.environ["HTTP_USER_AGENT"].find("Android") != -1:  #mobile css
    print("<head><link rel=\"stylesheet\" href=\"/sty/styles_mob.css\"></head>")  #hier wird das stylesheet nachgeladen
else: #desktop css
    print("<head><link rel=\"stylesheet\" href=\"/sty/styles.css\"></head>")  # hier wird das stylesheet nachgeladen


###
# Start Body
###
print("  <body>")

print("    <form action='multiroom.py' name='MULTI' > ")  # method='get'


###
# Switches
###

if os.path.exists(sCheckfile):
    print("<p><input type=\"submit\" value=\"ON\" name=\"action\" class=\"favorite styleon\"/>")
    print("<input type=\"submit\" value=\"OFF\" name=\"action\" class=\"favorite styled\"/></p>")
else:
    print("<p><input type=\"submit\" value=\"ON\" name=\"action\" class=\"favorite styled\"/>")
    print("<input type=\"submit\" value=\"OFF\" name=\"action\" class=\"favorite styleoff\"/></p>")


print("    </form>")






#werte auslesen
dMode, rawform = GetForm()



if iDebug > 0:
    print("<br><br><br><br><br><br><br>")
    print("Debug:<br>")
    print("==============================<br>")
    if os.environ["HTTP_USER_AGENT"].find("Android") != -1:  #mobile css
        print("Mobile Stylesheet<br>")  #hier wird das stylesheet nachgeladen
    else: #desktop css
        print("Desktop Stylesheet<br>")
    print("Mode: ")
    print(dMode)
    print("<br>Rawform: ")
    print(rawform)
    print("<br>")



# ab hier wird das endcommando zusammengebaut
if iDebug < 2:
    sCommadnline = "/usr/local/bin/snap.sh "
else:
    sCommadnline = "/home/..../test_script.sh "




if ((os.path.exists(sCheckfile) ) and (dMode == False)):   #we need to switch off
    bChanged=True
    sCommadnline += "stop "
elif ((os.path.exists(sCheckfile) == False ) and (dMode == True)):   #we need to switch on
    bChanged=True
    sCommadnline += "start "
else:
    if iDebug > 0:
        print("Doing nothing<p>")



#run command if necessary
if bChanged:
    print("Command: %s"%(sCommadnline))
    stream = os.popen(sCommadnline)    #hier wird das zusammengebaute Commando executed
    for line in stream.readlines():
        print(line.strip() + "<br>")






#print("</H5>")
print("  </body>")
print("</html>")

# if dMode["MULTIROOM"] != None:


#     if dMode["MULTIROOM"] == True:
#         sCommadnline += "start "
#         print("Called start <p>")
#     if dMode["MULTIROOM"] == False:
#         sCommadnline += "stop "
#         print("Called stop <p>")


#     print("Command: %s"%(sCommadnline))
#     stream = os.popen(sCommadnline)    #hier wird das zusammengebaute Commando executed
#     for line in stream.readlines():
#         print(line.strip() + "<br>")

#     ###
#     # End Body
#     ###
#     print("</H5>")
#     print("  </body>")
#     print("</html>")


#     #time.sleep(2)
# else:
#     ###
#     # End Body
#     ###





# if dMode["MULTIROOM"]:
#     sCommadnline += "start "



# if dMode["ACTION"] == "RUN":
#     sCommadnline += " "   #hier wird nichts an die command line angehängt - nur der switch ist relevant
# elif dMode["ACTION"] == None:
#     print("<br><br><p>Please select</p>")
# sCommadnline += "' >>/tmp/testcommand"



# #ausgeben des Commandos auf der Webseite und execute
# if dMode["ACTION"] != None:
#     print("Command: %s"%(sCommadnline))
#     stream = os.popen(sCommadnline)    #hier wird das zusammengebaute Commando executed
#     for line in stream.readlines():
#         print(line.strip() + "<br>")



